Subject: bug#18171: 24.3.92; pdb gud-print shows "Text is read only"

From: Stefan Kangas <[email-masked]>
Date: Fri, 13 Sep 2019 13:20:06 +0200

Carlos Pita <[email-masked]> writes:

> While debugging a python script in python-mode (checkout of the latest
> python.el) if the region contains, say, the name "v" of a python
> variable, both C-x C-a C-p (in the python buffer) and C-c C-p (in the
> gud buffer) just shows a "Text is read only" message at the
> minibuffer. But executing "p v" in the gud buffer correctly shows the
> value of the variable.
>
> ---------
> Python 3.4.1
>
>
> In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
>  of 2014-07-24 on memeplex

Thanks for the report.

I've tried reproducing this bug on the latest development branch and Emacs
26.2, but was unable to.

First, I have a file ~/foo.py with the following contents:

num = 200
print(num)

Next, I do this:

0. emacs -Q
1. M-x pdb RET pdb3 ~/foo.py RET

    Current directory is /home/skangas/
    > /home/skangas/foo.py(1)<module>()
    -> num = 200

2. Hit "n"

    (Pdb) n
    > /home/skangas/foo.py(2)<module>()
    -> print(num)

3. If I now do the step "C-x C-a C-p (in the python buffer) and C-c C-p (in
the
   > gud buffer)" (with point on the variable name), I see the following:

    num = 200
    num = 200
    (Pdb)

I don't see the message "Text is read only".

Are you still able to reproduce this bug on a recent version of Emacs?
If yes, could you please provide a recipe for how to reproduce it,
starting from "emacs -Q"?

If I don't hear back from you in a couple of weeks, I'll just assume
that the bug has been fixed in the years since you reported it and close
this bug report.

Best regards,
Stefan Kangas